EXTEND_TOP FATESP 6 #4
  IF ~!Dead("Illyria")
!InMyArea("Illyria")
Global("IllyriaSummoned","GLOBAL",0)~ THEN
   REPLY ~Bring me Illyria, the neutral good ranger/cleric.~ SetGlobal("Illyriaalignment",1)
   REPLY ~Bring me Illyria, the neutral evil ranger/cleric.~ SetGlobal("Illyriaalignment",2)
    DO ~CreateVisualEffect("SPPORTAL",[1999.1228])
Wait(2)
CreateCreature("Illyria25",[1999.1228],0)
SetGlobal("IllyriaSummoned","GLOBAL",1)~ GOTO 8
END

BEGIN #Illy25P
BEGIN #Illy25J
BEGIN #Illyr25

IF ~Global("IllyriaSummoned","GLOBAL",1)
Global("Illyriaalignment",1)~ THEN summongood
SAY ~What just happened, <CHARNAME>? L'Sirr feels a strange attraction to this place, but I certainly do not. Where are we?~ 

++ ~Illyria, I am in need of your talents. This is the 'Pocket Plane', I have been told, and apparently I created it to help me in my quest.~ DO ~SetGlobal("IllyriaSummoned","GLOBAL",2)~ + quest
++ ~You are safe, and that is really all you need to know. ~ DO ~SetGlobal("IllyriaSummoned","GLOBAL",2)~ + help
END


IF ~~ quest
SAY ~And what exactly is your quest, <CHARNAME>? ~
IF ~
END

IF ~~ help
SAY ~I know the Bhaalspawn troubles must be coming to a head if they are affecting you so badly.~
= ~I will be happy to provide whatever help you require, so long as it does not keep me overlong from Amn. I take it we are no longer in Amn, correct?~
++ ~We are in a special section of Hell, but it is nothing personal.~ + personal
++ ~Suffice it to say, we do not have to say here overlong.~ + personal
END

IF ~~ personal
SAY ~Understood, <PRO_SIRMAAM>. Shall we go?~
++ ~Yes, by all means.~ DO ~JoinParty()~ EXIT
++ ~I will return for you shortly.~ DO ~MoveToPointNoInterrupt([1450.1405])~ EXIT
END

IF ~Global("FWGharethSummoned","GLOBAL",2)~ summon2
SAY ~I am glad to serve, but if there is nothing for me to do, I would like to attend to other duties.~
++ ~It is time. Join me.~ DO ~JoinParty()~ EXIT
++ ~Just a little while longer.~ EXIT
END

APPEND FWGHA25P

IF ~Global("KickedOut","LOCALS",0)~ THEN BEGIN kickout
  SAY ~Making a change in the ranks? I thought we would see things through to the end.~ [FWGHAR91]
  IF ~~ THEN REPLY ~We will. Stay with me. ~ DO ~JoinParty()~ EXIT

  IF ~!AreaCheck("AR4500")
!AreaCheck("AR4000")
!AreaCheck("AR6200")~ THEN REPLY ~Wait here, I will return.~ DO ~SetGlobal("KickedOut","LOCALS",1)~ EXIT

  IF ~AreaCheck("AR4500")~ THEN REPLY ~Wait here, I will return.~ DO ~SetGlobal("KickedOut","LOCALS",1)
MoveToPointNoInterrupt([1450.1405])
Face(0)~ EXIT

  IF ~!AreaCheck("AR4500")
!AreaCheck("AR4000")
!AreaCheck("AR6200")~ THEN REPLY ~Return to the pocket plane until I call for you again.~ DO ~SetGlobal("KickedOut","LOCALS",1)
CreateVisualEffectObject("spdimndr",Myself)
Wait(2)
MoveBetweenAreas("AR4500",[1450.1405],0)~ EXIT
END

IF ~Global("KickedOut","LOCALS",1)~ THEN BEGIN rejoin
SAY ~You return. Shall we finish it, then? Or will I have more time to ponder my next move against the Cowled Wizards?~ [FWGHAR92]
++ ~Keep pondering, I am not ready to take you back yet.~ EXIT
++ ~Yes, time to go.~ DO ~SetGlobal("KickedOut","LOCALS",0) JoinParty()~ EXIT
END

END

